import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/componentRouter/main_service.dart';

import 'main_component_service_impl.dart';


part 'main_service_provider.g.dart';


@Riverpod(keepAlive: true)
MainService mainService(Ref ref) {
  return MainComponentServiceImpl();
}